# Class VcfStats

java.lang.Object
org.snpeff.stats.VcfStats

All Implemented Interfaces:
  `SamplingStats<VcfEntry>`

public class VcfStats extends Object implements SamplingStats<VcfEntry>
VCF statistics: These are statisticas at VCF line (i.e. VCFEntry) level, so these are usually across all samples in a VCF line

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`VcfStats()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCountMultiallelic()`
`GenotypeStats`
`getGenotypeStats()`
`IntStats`
`getQualityStats()`
`String`
`getQualityStatsHistoUrl()`
`TsTvStats`
`getTsTvStats()`
`TsTvStats`
`getTsTvStatsKnown()`
`boolean`
`hasData()`
Does this statistic have any data?
`void`
`sample(VcfEntry vcfEntry)`
Analyze one sample

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VcfStats

public VcfStats()

## Method Details

### getCountMultiallelic

public int getCountMultiallelic()

### getGenotypeStats

public GenotypeStats getGenotypeStats()

### getQualityStats

public IntStats getQualityStats()

### getQualityStatsHistoUrl

public String getQualityStatsHistoUrl()

### getTsTvStats

public TsTvStats getTsTvStats()

### getTsTvStatsKnown

public TsTvStats getTsTvStatsKnown()

### hasData

public boolean hasData()
Description copied from interface: `SamplingStats`
Does this statistic have any data?

Specified by:
  `hasData` in interface `SamplingStats<VcfEntry>`
Returns:

### sample

public void sample(VcfEntry vcfEntry)
Description copied from interface: `SamplingStats`
Analyze one sample

Specified by:
  `sample` in interface `SamplingStats<VcfEntry>`
Parameters:
  `vcfEntry` -